net.corda.node.services.statemachine

## Class SessionConfirm

- net.corda.node.services.statemachine.SessionConfirm

- All Implemented Interfaces:
    ExistingSessionMessage, SessionInitResponse, SessionMessage

      public class SessionConfirm
      implements SessionInitResponse

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.node.services.statemachine.SessionInitResponse

      `SessionInitResponse.DefaultImpls`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionConfirm(long initiatorSessionId, long initiatedSessionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `component1()`
    `long` | `component2()`
    `SessionConfirm` | `copy(long initiatorSessionId, long initiatedSessionId)`
    `boolean` | `equals(java.lang.Object p)`
    `long` | `getInitiatedSessionId()`
    `long` | `getInitiatorSessionId()`
    `long` | `getRecipientSessionId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.SessionInitResponse

      `getInitiatorSessionId, getRecipientSessionId`

    - ### Methods inherited from interface net.corda.node.services.statemachine.ExistingSessionMessage

      `getRecipientSessionId`

- - ### Constructor Detail

    - #### SessionConfirm

          public SessionConfirm(long initiatorSessionId,
                                long initiatedSessionId)

  - ### Method Detail

    - #### getInitiatorSessionId

          public long getInitiatorSessionId()

    - #### getInitiatedSessionId

          public long getInitiatedSessionId()

    - #### getRecipientSessionId

          public long getRecipientSessionId()

    - #### component1

          public long component1()

    - #### component2

          public long component2()

    - #### copy

          public SessionConfirm copy(long initiatorSessionId,
                                     long initiatedSessionId)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)